# all files / ol/renderer/dom/ domlayerrenderer.js

76.92% Statements 10/13
100% Branches 0/0
0% Functions 0/2
76.92% Lines 10/13

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    551×

    1×
    1×
    1×

    1×

    1×

    1×

    1×

    1×

    1×
     goog.provide('ol.renderer.dom.Layer');

    goog.require('ol');
    goog.require('ol.layer.Layer');
    goog.require('ol.renderer.Layer');

    /**
     * @constructor
     * @extends {ol.renderer.Layer}
     * @param {ol.layer.Layer} layer Layer.
     * @param {!Element} target Target.
     */
    ol.renderer.dom.Layer = function(layer, target) {

      goog.base(this, layer);

      /**
       * @type {!Element}
       * @protected
       */
      this.target = target;

    };
    goog.inherits(ol.renderer.dom.Layer, ol.renderer.Layer);

    /**
     * Clear rendered elements.
     */
    ol.renderer.dom.Layer.prototype.clearFrame = ol.nullFunction;

    /**
     * @param {olx.FrameState} frameState Frame state.
     * @param {ol.layer.LayerState} layerState Layer state.
     */
    ol.renderer.dom.Layer.prototype.composeFrame = ol.nullFunction;

    /**
     * @return {!Element} Target.
     */
    ol.renderer.dom.Layer.prototype.getTarget = function() {
      return this.target;
    };

    /**
     * @param {olx.FrameState} frameState Frame state.
     * @param {ol.layer.LayerState} layerState Layer state.
     * @return {boolean} whether composeFrame should be called.
     */
    ol.renderer.dom.Layer.prototype.prepareFrame = goog.abstractMethod;